Language Selection

English French German Italian Portuguese Spanish

How to install ffmpeg on centos/rhel, The simple way!

Filed under
Howtos

I seen where a lot of server management companies are charging big bucks for this, so this might save you some time and money.

First

nano -w /etc/yum.repos.d/dag.repo

Insert

[dag]
name=Dag RPM Repository for Red Hat Enterprise Linux
baseurl=http://apt.sw.be/redhat/el$releasever/en/$basearch/dag
gpgcheck=1
enabled=1

Then yum update and search for ffmpeg and install all ffmpeg packages including devel.

Seems there is some lib problems along the way so in /etc/ld.so.conf

add

/usr/local/lib

then

ldconfig -v

To install the php extension follow the simple directions on http://ffmpeg-php.sourceforge.net/

Then you should be all set!

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.

Problem installing....

Thanks for the tutorial. I tried the steps, but when I try to install via yum, it saids this error:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 6b8d79e6

Public key for imlib2-1.2.2-1.el5.rf.i386.rpm is not installed

Here is the output:

=============================================================================
Package Arch Version Repository Size
=============================================================================
Installing:
ffmpeg i386 0.4.9-0.9.20070530.el5.rf dag 5.3 M
Installing for dependencies:
SDL i386 1.2.10-8.el5 base 233 k
a52dec i386 0.7.4-8.el5.rf dag 78 k
faac i386 1.25-2.el5.rf dag 134 k
faad2 i386 2.5-2.el5.rf dag 327 k
giflib i386 4.1.3-7.1.el5.1 base 39 k
gsm i386 1.0.10-6.el5.rf dag 68 k
imlib2 i386 1.2.2-1.el5.rf dag 919 k
lame i386 3.97-1.el5.rf dag 619 k
libmp4v2 i386 1.5.0.1-3.el5.rf dag 895 k
libogg i386 2:1.1.3-3.el5 base 19 k
libtheora i386 1.0alpha7-1 base 708 k
libvorbis i386 1:1.1.2-2 base 192 k
x264 i386 0.0.0-0.4.20070529.el5.rf dag 789 k
xvidcore i386 1.1.2-1.el5.rf dag 532 k

Transaction Summary
=============================================================================
Install 15 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 11 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 6b8d79e6

Public key for imlib2-1.2.2-1.el5.rf.i386.rpm is not installed
[root@localhost home]#

re: Problem Installing

Either install the GPG keys for DAG's repository (RPMforge) - see here.

Or disable gpgcheck (i.e. set to gpgcheck=0) - not recommended for security reasons.

ffmpeg-php doesn't work

Thank you for your Tip,
I could install ffmpeg but cannot configure ffmpeg-php ( after phpize )
.
Do you have any idea about what should I do ?
Thanks

[root@localhost ffmpeg-php-0.5.1]# ./configure
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for egrep... grep -E
checking for a sed that does not truncate output... /bin/sed
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking whether gcc and cc understand -c and -o together... yes
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... yes
checking for PHP prefix... /usr/local
checking for PHP includes... -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend
checking for PHP extension directory... /usr/local/lib/php/extensions/no-debug-non-zts-20020429
checking for re2c... exit 0;
checking for gawk... gawk
checking for ffmpeg support... yes, shared
checking for ffmpeg headers... configure: error: ffmpeg headers not found. Make sure you've built ffmpeg as shared libs using the --enable-shared option
[root@localhost ffmpeg-php-0.5.1]#

re: ffmpeg-php doesn't work

First, did you build ffmpeg as shared as the error asks? And if you just installed ffmpeg, try running ldconfig and see if that helps any.

still cannot

srlinuxx wrote:
First, did you build ffmpeg as shared as the error asks? And if you just installed ffmpeg, try running ldconfig and see if that helps any.

I just used yum install ffmpeg .
after adding dag to my rep.

try adding /usr/local/lib to

try adding /usr/local/lib to /etc/ld.so.conf
then do ldconfig -v

if you install the ffmpeg from dag it should do fine.

still cannot

felosi wrote:
try adding /usr/local/lib to /etc/ld.so.conf
then do ldconfig -v

if you install the ffmpeg from dag it should do fine.

Hello , Yes I installed from dag I used yum install ffmpeg

/etc/ld.so.conf has the following

include ld.so.conf.d/*.conf
/usr/ofed/lib
/usr/local/lib

I did ldconfig -v
but getting the same result .

is there any ideas ?
is there an option to do something like
yum install ffmpeg with --enable-shared ?

Thanks

ahh, yum install

ahh, yum install ffmpeg-devel that will do it

More in Tux Machines

KDE Applications 18.08 Software Suite Enters Beta, Adds Apple Wallet Pass Reader

With KDE Applications 18.04 reached end of life with the third and last point release, the KDE Project started working earlier this month on the next release of their open-source software suite, KDE Applications 18.08. KDE Applications is an open-source software suite designed as part of the KDE ecosystem, but can also be used independently on any Linux-based operating system. To fully enjoy the KDE Plasma desktop environment, users will also need to install various of the apps that are distributed as part of the KDE Applications initiative. KDE Applications 18.08 is the next major version of the open-source software suite slated for release on August 16, 2018. As of yesterday, July 20, the KDE Applications 18.08 software suite entered beta testing as version 18.07.80, introducing two new libraries, KPkPass and KItinerary. Read more

NetBSD 8.0 Released

  • Announcing NetBSD 8.0
    The NetBSD Project is pleased to announce NetBSD 8.0, the sixteenth major release of the NetBSD operating system.
  • NetBSD 8.0 Officially Released With USB3 Support, Security Improvements & UEFI
    While it's been on mirrors for a few days, NetBSD 8.0 was officially released this weekend. NetBSD 8.0 represents this BSD operating system project's 16th major release and introduces USB 3.0 support, an in-kernel audio mixer, a new socket layer, Meltdown/Spectre mitigation, eager FPU support, SMAP support, UEFI boot-loader support for x86/x86_64 hardware, and a variety of long sought after improvements -- many of which are improving the security of NetBSD.
  • NetBSD 8.0 Released with Spectre V2/V4, Meltdown, and Lazy FPU Mitigations
    The NetBSD open-source operating system has been updated this week to version 8.0, a major release that finally brings mitigations for all the Spectre variants, Meltdown, and Lazy FPU security vulnerabilities, as well as many stability improvements and bug fixes. Coming seven months after the first and last point release of the NetBSD 7 series, NetBSD 8.0 is here with mitigations for both the Spectre Variant 2 (CVE-2017-5715) and Spectre Variant 4 (CVE-2018-3639) security vulnerabilities, as well as for the Meltdown (CVE-2017-5754) and Lazy FPU State Save/Restore (CVE-2018-3665) vulnerabilities.

Neptune 5.4

We are proud to announce version 5.4 of Neptune . This update represents the current state of Neptune 5 and renews the ISO file so if you install Neptune you don't have to download tons of Updates. In this update we introduce a new look and feel package called Neptune Dark. This comes together with an modified icon theme optimized for dark themes called Faenza Dark. We improved hardware support further by providing Linux Kernel 4.16.16 with improved drivers and bugfixes. Read more

Plasma 5.14 Wallpaper “Cluster”

The time for a new Plasma wallpaper is here, so for 5.14 I’m excited to offer up “Cluster”. But first, please allow me to gush for a moment. In tandem with Inkscape, this is the first wallpaper for KDE produced using the ever excellent Krita. For graphic design my computer has a bit of beef to it, but when I work with Inkscape or GIMP things always chug just a bit more than I feel they should. Whenever I’ve had the distinct pleasure of opening Krita, even on my lesser powered laptop, it’s always been productive, rewarding, and performant. I’m looking forward to using Krita more in future wallpapers. *claps for Krita* Read more